%global patchdate 20131217

Summary:        MiNT binutils
Name:           m68k-atari-mint-binutils
Version:        2.24
Release:        2%{?dist}
License:        GPLv2+ and LGPLv2+ and GPLv3+ and LGPLv3+
Group:          Development/Tools
URL:            http://www.gnu.org/software/binutils/
Source0:        http://ftp.gnu.org/pub/gnu/binutils/binutils-%{version}.tar.bz2
Patch0:         http://vincent.riviere.free.fr/soft/m68k-atari-mint/archives/binutils-%{version}-mint-%{patchdate}.patch.bz2
# fix build with gcc 4.9, upstream commit 27b829ee701e29804216b3803fbaeb629be27491
Patch1:         binutils-2.24-bfd.patch
BuildRequires:  m68k-atari-mint-filesystem
BuildRequires:  texinfo

Requires:       m68k-atari-mint-filesystem
Requires:       m68k-atari-mint-mintbin


%description
Binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.


%prep
%setup -q -n binutils-%{version}
%patch0 -p1 -b .mint
%patch1 -p1 -b .bfd


%build
mkdir build
pushd build
#
# --disable-werror for gcc 4.9 (https://sourceware.org/bugzilla/show_bug.cgi?id=16931)
#
CFLAGS="$RPM_OPT_FLAGS" \
../configure \
  --build=%_build --host=%_host \
  --target=%{mint_target} \
  --disable-nls \
%if 0%{?fedora} >= 21
  --disable-werror \
%endif
  --with-sysroot=%{mint_sysroot} \
  --prefix=%{_prefix} \
  --bindir=%{_bindir} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir}

make %{_smp_mflags} all
popd


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

# These files conflict with ordinary binutils.
rm -rf $RPM_BUILD_ROOT%{_infodir}
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty*

# Remove unwanted files
rm $RPM_BUILD_ROOT%{_bindir}/%{mint_target}-readelf*
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{mint_target}-readelf.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{mint_target}-dlltool.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{mint_target}-nlmconv.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{mint_target}-windmc.1*
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{mint_target}-windres.1*


%files
%doc README
%{_bindir}/%{mint_target}-*
%{_mandir}/man1/%{mint_target}-*
%{_prefix}/%{mint_target}/bin/*
%{_prefix}/%{mint_target}/lib/ldscripts


%changelog
* Sat May 10 2014 Dan Horák <dan[at]danny.cz> - 2.24-2
- fix build with gcc 4.9

* Fri May 09 2014 Dan Horák <dan[at]danny.cz> - 2.24-1
- updated to 2.24

* Sat Jan 05 2013 Dan Horák <dan[at]danny.cz> - 2.23.1-1
- updated to 2.23.1

* Sun Mar 25 2012 Dan Horák <dan[at]danny.cz> - 2.22-1
- updated to 2.22
- spec cleanup

* Wed Aug 03 2011 Dan Horák <dan[at]danny.cz> - 2.21.1-1
- initial Fedora release
